
package com.tmerclub.cloud.common.order.dto;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * @author tmerclub
 * @date 2020/12/18
 */
public class SubmitOrderDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "每个店铺提交的订单信息", requiredMode = Schema.RequiredMode.REQUIRED)
    private List<OrderShopDTO> orderShopParam;

    @Schema(description = "订单发票")
    private List<OrderInvoiceDTO> orderInvoiceList;

    @Schema(description = "自提信息Dto")
    private OrderSelfStationDTO orderSelfStationDto;

    @Schema(description = "虚拟商品留言备注")
    private List<VirtualRemarkDTO> virtualRemarkList;

    public List<VirtualRemarkDTO> getVirtualRemarkList() {
        return virtualRemarkList;
    }

    public void setVirtualRemarkList(List<VirtualRemarkDTO> virtualRemarkList) {
        this.virtualRemarkList = virtualRemarkList;
    }

    public List<OrderShopDTO> getOrderShopParam() {
        return orderShopParam;
    }

    public void setOrderShopParam(List<OrderShopDTO> orderShopParam) {
        this.orderShopParam = orderShopParam;
    }

    public List<OrderInvoiceDTO> getOrderInvoiceList() {
        return orderInvoiceList;
    }

    public void setOrderInvoiceList(List<OrderInvoiceDTO> orderInvoiceList) {
        this.orderInvoiceList = orderInvoiceList;
    }

    public OrderSelfStationDTO getOrderSelfStationDto() {
        return orderSelfStationDto;
    }

    public void setOrderSelfStationDto(OrderSelfStationDTO orderSelfStationDto) {
        this.orderSelfStationDto = orderSelfStationDto;
    }

    @Override
    public String toString() {
        return "SubmitOrderDTO{" +
                "orderShopParam=" + orderShopParam +
                ", orderInvoiceList=" + orderInvoiceList +
                ", orderSelfStationDto=" + orderSelfStationDto +
                ", virtualRemarkList=" + virtualRemarkList +
                '}';
    }
}
